cURL
curl --request POST \
--url https://app.teable.ai/api/share/%7BshareId%7D/view/form-submit \
--header 'content-type: application/json' \
--data '{"fields":{"property1":null,"property2":null},"typecast":true}'const url = 'https://app.teable.ai/api/share/%7BshareId%7D/view/form-submit';
const options = {
method: 'POST',
headers: {'content-type': 'application/json'},
body: '{"fields":{"property1":null,"property2":null},"typecast":true}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/share/%7BshareId%7D/view/form-submit',
headers: {
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({fields: {property1: null, property2: null}, typecast: true}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"fields\":{\"property1\":null,\"property2\":null},\"typecast\":true}"
headers = { 'content-type': "application/json" }
conn.request("POST", "/api/share/%7BshareId%7D/view/form-submit", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}share
Post share viewform submit
share form view submit new record
POST
/
share
/
{shareId}
/
view
/
form-submit
cURL
Path Parameters
Body
application/json
Response
201 - application/json
Successfully submit
The record id.
Objects with a fields key mapping fieldId or field name to value for that field.
Show child attributes
Show child attributes
primary field value
Auto number, a unique identifier for each record
Created time, date ISO string (new Date().toISOString).
Last modified time, date ISO string (new Date().toISOString).
Created by, user name
Last modified by, user name
Permissions for the record
Show child attributes
Show child attributes
Whether the record is undeletable
Last modified on September 15, 2026
Was this page helpful?

